package com.xintong.visualinspection.dao.cluster;

import com.xintong.visualinspection.bean.StatisticsBean;
import com.xintong.visualinspection.bean.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface UserInfoDao {
    public List<User> getAll();
    public List<User> getUsers(User user);
    public List<User> getAllUsers(User user);
    public User getOne(Integer id);
    public void insert(User user);
    public void update(User user);
    public void delete(Integer id);
    public User findByUserName(String username);
    public List<User> getAllCheckmans();
    public List<StatisticsBean> getUsersCountList();
    public Integer getUsersCenterManageCount(StatisticsBean obj);
    public User getOneDetail(Integer id);
}
